// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher
//      


// $Log: DSPFloat32.h,v $
// Revision 1.2  1999/04/30 21:32:46  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//

#ifndef _DSPFloat32_h
#define _DSPFloat32_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Float32.h"
extern Float32 * NewFloat32(const string &n = "");

class DSPFloat32: public Float32 {
public:
    DSPFloat32(const string &n = "");
    virtual ~DSPFloat32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
};

#endif

