
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// $Log: DSPUInt16.cc,v $
// Revision 1.2  1999/04/30 21:32:47  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPUInt16.cc,v 1.2 1999/04/30 21:32:47 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "DSPUInt16.h"

UInt16 *
NewUInt16(const string &n)
{
    return new DSPUInt16(n);
}

DSPUInt16::DSPUInt16(const string &n) : UInt16(n)
{
}

BaseType *
DSPUInt16::ptr_duplicate(){

    return new DSPUInt16(*this);
}

bool
DSPUInt16::read(const string &, int &error)
{
    error = 1;
    return false;
}
