// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPGrid.h,v $
/* Revision 1.2  1999/04/30 21:32:46  jimg
/* Merged no-gnu and release-2-17
/*
/* Revision 1.1.18.1  1999/02/10 06:28:57  brent
/* convert to Standard C++ strings -- b^2
/*
/* Revision 1.1  1996/09/18 22:42:02  reza
/*  First release of DODS-DSP servers.
/*
*/


#ifndef _DSPGrid_h
#define _DSPGrid_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Grid.h"
extern Grid * NewGrid(const string &n = "");

class DSPGrid: public Grid {
public:
    DSPGrid(const string &n = (char *)0);
    virtual ~DSPGrid();
    
    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset, int &error);

};

#endif





